///////////////////////////////////////////////////////////////////////////
//  Author: W.G.Gong
//  Email: gong@mppmu.mpg.de
//  Date:  Oct 25, 1996
///////////////////////////////////////////////////////////////////////////

#ifndef INPARAM_H
#define INPARAM_H

#define IS_MISS   -9999.9999         // flag to indicate missing variable
#define IS_FILE  -10000.0001         // flag to indicate file name

#include "constant.h"

//
//  class Inparam will handle input parameters to FTPCSIM
//
class Inparam
{
    public:
              Inparam(const char* file_config, const int DEBUG);
              ~Inparam();
          int LookupDictionary(const char in_string[]) const;
          int SizeOfDictionary() const;
         void ReadConfig(const char* file_config, const int DEBUG);
        char* GetFileName(const iNputs i) ;
      fNumber GetInParam(const iNputs i) const    { return inp_arr[i]; }
         void Print() const;

    private:
         char file_name[MAXCH];
         char file_gas[MAXCH];
         char file_point[MAXCH];
         char file_adc[MAXCH];
         char file_cluster[MAXCH];
     fNumber* inp_arr;                // an array to stored input parameters
                                      // excluding strings such as filename

};

#endif
