///////////////////////////////////////////////////////////////////////////
//  Author: W.G.Gong
//  Email: gong@mppmu.mpg.de
//  Date:  Oct 25, 1996
///////////////////////////////////////////////////////////////////////////
#ifndef POINT_H
#define POINT_H

#include "constant.h"

class Chamber;
class Inparam;

//
//  class gas will read in hit points from geant
//
class Point 
{
    public:
             Point(Inparam& inp, const int DEBUG);
             ~Point();
        void ReadPoint(Inparam& inp,  const int DEBUG);
                              // read in hit points from a file
        void OutputCluster(const char* file_cluster);
                              // output points with dx,dy,dz for tracker

         int GetNumberPoint()    const 
                {return number_hits;}
     fNumber GetR(const int i)     const    
                {return hitpoint[i].r;}         
     fNumber GetPhi(const int i)   const 
                {return hitpoint[i].phi;}
     fNumber GetX(const int i)    const          
                {return hitpoint[i].x;}
     fNumber GetY(const int i) const             
                {return hitpoint[i].y;}
     fNumber GetZ(const int i)  const           
                {return hitpoint[i].z;}
     fNumber GetDe(const int i) const            
                {return hitpoint[i].de;}
     fNumber GetDipAngle(const int i)  const     
                {return hitpoint[i].dip_angle;}
     fNumber GetCrossAngle(const int i) const   
                {return hitpoint[i].cross_angle;}
         int GetRowId(const int i) const        
                {return (int) hitpoint[i].row_id;}
         int GetTrackId(const int i) const     
                {return (int) hitpoint[i].track_id;}
	
     fNumber SetDX(const int i, const fNumber del_x)            
                {hitpoint[i].dx = del_x;}
     fNumber SetDY(const int i, const fNumber del_y)            
                {hitpoint[i].dy = del_y;}
     fNumber SetDZ(const int i, const fNumber del_z)            
                {hitpoint[i].dz = del_z;}

    private:

         int number_hits;
      struct hits {            // hits from GSTAR
                 // old
                 fNumber x;           // x
                 fNumber y;           // y coor. of hit [cm] 
                 fNumber z;           // z 
                 fNumber de;          // energy loss [GeV]
                 fNumber row_id;      // pad row number 
                 fNumber track_id;    // track_id point at track table
                 // new
                 fNumber r;           // radius [cm]
                 fNumber phi;         // azimuthal angle [rad]
                 fNumber dip_angle;   // angle to pad plane and z
                 fNumber cross_angle; // angle to pad row 

                 fNumber dx;          // x-width [cm]
                 fNumber dy;          // y-width (filled after readout)
                 fNumber dz;          // z-width 
            };
      hits* hitpoint;          // pointer to hits
};

#endif

