
EXEC =  ftpcsim
OBJS =  inparam.o point.o gas.o chamber.o field.o \
	cluster.o readout.o mylibs.o ftpcsim.o 
LIBS =  -lm
FLAG = -c -I../inc 
DEBUG = -g

#on AIX ribm02.rhic.bnl.gov
CC = /afs/rhic/local/bin/g++

#on AIX iws112.mppmu.mpg.de
#CC = /usr/local/bin/g++

#on Linux
#CC = /usr/bin/g++

$(EXEC): $(OBJS)
	$(CC) $(DEBUG)  $(OBJS) \
	-o $(EXEC) $(LIBS) 
	@echo "done"

ftpcsim.o:	
	$(CC) $(DEBUG) $(FLAG) ftpcsim.C

inparam.o:	
	$(CC) $(DEBUG) $(FLAG) inparam.C

point.o:	
	$(CC) $(DEBUG) $(FLAG) point.C

gas.o:	
	$(CC) $(DEBUG) $(FLAG) gas.C

chamber.o:	
	$(CC) $(DEBUG) $(FLAG) chamber.C

field.o:	
	$(CC) $(DEBUG) $(FLAG) field.C

cluster.o:	
	$(CC) $(DEBUG) $(FLAG) cluster.C

readout.o:	
	$(CC) $(DEBUG) $(FLAG) readout.C

mylibs.o:	
	$(CC) $(DEBUG) $(FLAG) mylibs.C

clean:
	rm -rf *.o $(EXEC)

